<?php

/*
  Plugin Name: SFTP Add-on for Import Export for WooCommerce
  Plugin URI: https://www.xadapter.com/product/product-import-export-plugin-for-woocommerce/
  Description: Add-on for Export and Import with SFTP
  Author: Xadapter
  Author URI: https://www.xadapter.com/shop/
  Version: 1.0.0
  Text Domain: wf_sftp_import_export
  WC tested up to: 3.2.5
 */


set_include_path(get_include_path() . PATH_SEPARATOR . dirname(__FILE__) . '/phpseclib/');

require_once('Net/SFTP.php');
require_once('Crypt/RSA.php');

class class_wf_sftp_import_export {

    var $link = false;

    function connect($hostname, $username, $password, $port = 21) {
        $this->link = new Net_SFTP($hostname, $port);
        if (!$this->link->login($username, $password)) {
            return FALSE;
        }
        return TRUE;
    }

    function put_contents($file, $contents, $mode = false) {
        $ret = $this->link->put($file, $contents);

        $this->chmod($file, $mode);

        return false !== $ret;
    }

    function chmod($file, $mode = false, $recursive = false) {
        return $mode === false ? false : $this->link->chmod($mode, $file, $recursive);
    }

    function get_contents($file) {
        return $this->link->get($file);
    }

}
